unit SListEd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, PropEd;

type
  Tf_StrListEd = class(TForm)
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Memo1: TMemo;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
  private
    Procedure EditIt(Sender : TObject);
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}
var
  f_StrListEd: Tf_StrListEd;

procedure Tf_StrListEd.FormShow(Sender: TObject);
var TS : TStrings;
begin
  ts := pointer(tag);
  Memo1.Lines.Assign(TS);
end;

procedure Tf_StrListEd.BitBtn1Click(Sender: TObject);
var TS : TStrings;
begin
  ts := pointer(tag);
  ts.assign(Memo1.Lines);
end;

procedure Tf_StrListEd.EditIt;
var
  f_StrListEd: Tf_StrListEd;
Begin
  f_StrListEd := TF_StrListEd.Create(Application);
  f_StrListEd.Tag := LongInt(Sender);
  f_StrListEd.ShowModal;
  f_StrListEd.Free;
End;

procedure Tf_StrListEd.BitBtn3Click(Sender: TObject);
begin
  If SaveDialog1.Execute then memo1.lines.savetoFile(SaveDialog1.Filename);
end;

procedure Tf_StrListEd.BitBtn4Click(Sender: TObject);
begin
  If OpenDialog1.Execute then memo1.lines.LoadFromFile(OpenDialog1.Filename);
end;

Begin
  RegisterPropEd(TStrings, f_StrListEd.EditIt);
End.

